# AMP Project open source governance

This document describes the governance model for the AMP open source project, and in particular the [WorkerDOM GitHub project](https://github.com/ampproject/worker-dom).

Our governance model is as follows:

* There is a single [Tech Lead](#list-of-core-committers), who will have the final say on all decisions regarding technical direction.
* The Tech Lead directs the [Core Committers](#list-of-core-committers), whose members include the Tech Lead and those who have been appointed by the Tech Lead as Core Committers.
* In the event the Tech Lead is unable to perform their duty, or abdicates, the Core Committers can select a new Tech Lead from amongst themselves.
* In the unlikely event that there are no more Core Committers, Google Inc. will appoint a new Tech Lead.
* Significant feature development and changes to AMP require following the ["Intent to implement"](./CONTRIBUTING.md#contributing-features) process including approval from the Tech Lead and one Core Committer.
* Before contributions can be merged into the AMP Project, approval must be given by an [Owner and a Core Committer](./contributing/owners-and-committers.md)

### List of Core Committers:

* **Tech Lead: Malte Ubl (@cramforce)**
* Ali Ghassemi (@aghassemi)
* Avi Mehta (@avimehta). Specialty: Analytics
* Barb Paduch (@bpaduch). Specialty: Docs
* Sriram Krishnan (@camelburrito)
* Chen Shay (@chenshay)
* William Chou (@choumx)
* Dima Voytenko (@dvoytenko)
* Erwin Mombay (@erwinmombay)
* Greg Grothaus (@Gregable). Specialty: Validator
* David Sedano (@honeybadgerdontcare). Specialty: Validator
* Justin Ridgewell (@jridgewell)
* Hongfei Ding (@lannka)
* Yuxi Chen (@muxin)
* Johannes Henkel (@powdercloud). Specialty: Validator
* Wassim Gharbi (@wassgha)
* Yuxuan Zhou (@zhouyx)
