/**
 * Copyright 2018 The AMP HTML Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS-IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

export const enum TransferrableKeys {
  nodeType = 0,
  localOrNodeName = 1,
  attributes = 2,
  properties = 3,
  childNodes = 4,
  textContent = 5,
  namespaceURI = 6,
  index = 7,
  creationFormat = 8,
  transferredFormat = 9,
  handlers = 10,
  transferred = 11,
  type = 12,
  target = 13,
  addedNodes = 14,
  removedNodes = 15,
  previousSibling = 16,
  nextSibling = 17,
  attributeName = 18,
  attributeNamespace = 19,
  propertyName = 20,
  value = 21,
  oldValue = 22,
  addedEvents = 23,
  removedEvents = 24,
  bubbles = 25,
  cancelable = 26,
  cancelBubble = 27,
  currentTarget = 28,
  defaultPrevented = 29,
  eventPhase = 30,
  isTrusted = 31,
  returnValue = 32,
  timeStamp = 33,
  scoped = 34,
  keyCode = 35,
  mutations = 36,
  nodes = 37,
  data = 38,
  event = 39,
  sync = 40,
  strings = 41,
  records = 42,
  tokens = 43,
  storeAttribute = 44,
  scopingRoot = 45,
  propertyBackedAttributes = 46,
  checked = 47,
  indeterminate = 48,
  size = 49,
  stop = 50,
  end = 51,
  selected = 52,
  command = 53,
}
